<?php

namespace App\Modules\EmailShip\Domain;

interface EmailShipRepository {

    public function index(IdEmailShip $id);
    public function find(string $query, string $action);
    public function insert(InsertEmailShip $value);
    public function update(UpdateEmailShip $value);
    public function delete(IdEmailShip $id);

}